Subject: Re: bug#74507: [PATCH] Indent compounds c-ts-mode when { is not BOL

From: Yuan Fu <[email-masked]>
Date: Sun, 1 Dec 2024 01:25:53 -0800

> On Nov 30, 2024, at 12:49 PM, Jørgen Kvalsvik <[email-masked]> wrote:
> 
> On 11/30/24 01:16, Yuan Fu wrote:
>>> On Nov 29, 2024, at 1:05 AM, Jørgen Kvalsvik <[email-masked]> wrote:
>>> 
>>> On 11/29/24 08:57, Eli Zaretskii wrote:
>>>>> Cc: [email-masked],[email-masked]
>>>>> From: Jørgen Kvalsvik <[email-masked]>
>>>>> Date: Sun, 24 Nov 2024 10:15:12 +0100
>>>>> 
>>>>> * lisp/progmodes/c-ts-mode.el (c-ts-mode--parent-is-not-top-compound):
>>>>> New function.
>>>>> (c-ts-mode--indent-styles): Use it.
>>>>> * test/lisp/progmodes/c-ts-mode-resources/indent.erts: New compound
>>>>> statement test.
>>>> Please make sure the lines here are not too long (see CONTRIBUTE for
>>>> details).
>>>>> +(defun c-ts-mode--parent-is-not-top-compound (_n parent &rest _)
>>>>> +  "Matches when PARENT is not the top level compound statement,
>>>>> +the {} that immediately follows the signature."
>>>> The first line of a doc string should be a single complete sentence.
>>>> Thanks.
>>> 
>>> Ok. Yuan, would you like me to submit a revision?
>> Since your assignment is already done, let’s just apply your patch, and I’ll rebase my changes on top of yours. So yeah, do send the revision patch, thanks!
>> Yuan
> 
> Certainly - I posted it on the bug tracker.

Thanks Jørgen. What did you use to generate the patch? For some reason I can’t apply it. My git skill isn’t that great so it could be my problem. If you can apply it fine maybe you can share the command you used?

BTW, the commit title is missing. When you add the title, you can also add the bug number. For example:

Improve c-ts-mode indentation for macros (bug#74507)

Yuan